# Python Connector for Firebird #

Python Connector for Firebird is a connectivity solution for accessing
Firebird databases from Python applications. It fully implements the Python DB
API 2.0 specification. The connector is distributed as a wheel package
for Windows, macOS, and Linux.
 
Secure communication
 
The connector supports the Over-the-Wire (OTW) encryption feature
of Firebird to encrypt data during the transmission process.

## Using the connector ##

To retrieve data from a database:
 
Import the module.
 
```
import devart.firebird
```
 
Connect to a database using the `connect()` module method and obtain a `connection` object.
 
```
my_connection = devart.firebird.connect(
    Server="your_server",
    Database="your_database",
    UserId="your_username",
    Password="your_password",
    ClientLibrary="your_client_library"
)
```
 
Create a `cursor` object using the `cursor()` connection method.
 
```
my_cursor = my_connection.cursor()
```
 
Execute the SQL statement using the `execute()` cursor method.
 
```
my_cursor.execute("SELECT * FROM employees")
```
 
Retrieve the result set using one of the `fetch*()` cursor methods.
 
```
for row in my_cursor.fetchall(): 
    print(row)
```

## What's new ##

Python Connector for Firebird 1.0
 
* Initial release of Python Connector for Firebird
* Added support for Windows 32-bit and 64-bit
* Added support for Windows Server 32-bit and 64-bit
* Added support for macOS 64-bit and ARM (Apple M1 and M2)
* Added support for Linux 64-bit
